Page MenuHomePhabricator

[clang-format] append newline after code when inserting new headers at the end of the code which does not end with newline.
ClosedPublic

Authored by ioeric on Jun 6 2016, 9:07 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

ioeric updated this revision to Diff 59736.Jun 6 2016, 9:07 AM
ioeric retitled this revision from to [clang-format] append newline after code when inserting new headers at the end of the code which does not end with newline..
ioeric updated this object.
ioeric added a reviewer: djasper.
ioeric added a subscriber: cfe-commits.
djasper edited edge metadata.Sep 10 2016, 1:41 AM

Does this still work with the new Replacements?

lib/Format/Format.cpp
1572 ↗(On Diff #59736)

"does not end"

1574 ↗(On Diff #59736)

"whether"

ioeric updated this revision to Diff 73648.Oct 5 2016, 7:59 AM
ioeric marked 2 inline comments as done.
ioeric edited edge metadata.
  • Merged with origin/master.
  • Update newline insertion according to the new Replacements implementation.
ioeric added a comment.Oct 5 2016, 7:59 AM

Sorry for the delay....

I've updated the patch to work with the new tooling::Replacements.

djasper accepted this revision.Oct 5 2016, 8:01 AM
djasper edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Oct 5 2016, 8:01 AM
This revision was automatically updated to reflect the committed changes.